PYSIDE6-GENPYI(1)

NAME
pyside6-genpyi - genpyi

DESCRIPTION
usage: generate_pyi.py [-h] [--quiet] [--outpath OUTPATH]

[--sys-path SYS_PATH [SYS_PATH ...]]
    [--feature {snake_case,true_property} [{snake_case,true_property} ...]] modules [modules ...]

This script generates the .pyi file for all PySide modules.

  positional arguments:

modules
    'all' or the names of modules to build (QtCore QtGui etc.)

  options:

-h, --help
    show this help message and exit

--quiet
    Run quietly

--outpath OUTPATH
    the output directory (default = binary location)

--sys-path SYS_PATH [SYS_PATH ...]
    a list of strings prepended to sys.path

--feature {snake_case,true_property} [{snake_case,true_property} ...]
    a list of feature names. Example: `--feature snake_case true_property`. Currently not available for PyPy.